Package be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

# Class MemberinsuranceType

java.lang.Object
be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.MemberinsuranceType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:11:58+02:00", comments="JAXB RI v4.0.5") public class MemberinsuranceType extends Object implements Serializable

Java class for memberinsuranceType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="memberinsuranceType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-INSURANCE"/>
             <element name="membership" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MemberinsuranceType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDINSURANCE`
  `getId()`
  Gets the value of the id property.
  `String`
  `getMembership()`
  Gets the value of the membership property.
  `void`
  `setId(IDINSURANCE value)`
  Sets the value of the id property.
  `void`
  `setMembership(String value)`
  Sets the value of the membership property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MemberinsuranceType

    public MemberinsuranceType()

- ## Method Details

  - ### getId

    public IDINSURANCE getId()
    Gets the value of the id property.
    Returns:
      possible object is `IDINSURANCE`

  - ### setId

    public void setId(IDINSURANCE value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `IDINSURANCE`

  - ### getMembership

    public String getMembership()
    Gets the value of the membership property.
    Returns:
      possible object is `String`

  - ### setMembership

    public void setMembership(String value)
    Sets the value of the membership property.
    Parameters:
      `value` - allowed object is `String`